$ErrorActionPreference = 'Stop' # stop on all errors
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url          = 'https://github.com/asyncapi/cli/releases/download/v1.6.2/asyncapi.x86.exe'
$url64        = 'https://github.com/asyncapi/cli/releases/download/v1.6.2/asyncapi.x64.exe' 

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE' 
  url           = $url
  url64bit      = $url64
  #file         = $fileLocation NOTE: Commented out because we are using url instead

  softwareName  = 'asyncapi-cli*'

  checksum      = '71C2D32433F2F17A95893511084802015A998D960962484B3876B30AFCC77C9E'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksum64    = '5D9940A15982F896B4E6815D2C2ED43A2549887ABB1D28AC4E603EB28D0E81E1'
  checksumType64= 'sha256' #default is checksumType

  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/S'           # NSIS
}

Install-ChocolateyPackage @packageArgs # https://docs.chocolatey.org/en-us/create/functions/install-chocolateypackage
